| DRAWFCALL(3) | DRAWFCALL(3)

NAME

| convM2W, convW2M, drawfcallfmt, readwsysmsg, sizeW2M – window system protocol

SYNOPSIS

`#include <u.h>
#include <libc.h>
#include <draw.h>
#include <mouse.h>
#include <cursor.h>
#include <drawfcall.h>

` `uint convM2W(uchar *ap, uint nap, Wsysmsg *w)

` `uint convW2M(Wsysmsg *w, uchar *ap, uint nap)

` `int drawfcallfmt(Fmt*)

` `int readwsysmsg(int fd, uchar *buf, uint nbuf)

` `uint sizeW2M(Wsysmsg *w)
`

DESCRIPTION

These routines are analogues of the routines described in fcall(3). They manipulate graphics device protocol messages rather than 9P protocol messages. The graphics device protocol is used for internal communication between the devdraw(1) graphics server and the draw(3) library. A `Wsysmsg` is the C structure corresponding to a protocol message.

The protocol is intentionally undocumented and may change.

SOURCE

| `/usr/local/plan9/src/libdraw/drawfcall.c`

SEE ALSO

| devdraw(1), draw(3), graphics(3)